import Cocoa
import FlutterMacOS

class MainFlutterWindow: NSWindow {
  override func awakeFromNib() {
    let flutterViewController = FlutterViewController.init()
    let windowFrame = self.frame
    self.contentViewController = flutterViewController
    self.setFrame(windowFrame, display: true)

    RegisterGeneratedPlugins(registry: flutterViewController)
    
    self.styleMask.insert(NSWindow.StyleMask.fullSizeContentView)
    self.titlebarAppearsTransparent = true

    super.awakeFromNib()
  }
}
